Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core
Interface ILocalVariable

All Superinterfaces:
  IAdaptable, IJavaElement, ISourceReference

public interface ILocalVariable
extends IJavaElement, ISourceReference

Represents a local variable declared in a method or an initializer. `ILocalVariable` are pseudo-elements created as the result of a `ICodeAssist.codeSelect(...)` operation. They are not part of the Java model (`exists()` returns whether the parent exists rather than whether the local variable exists in the parent) and they are not included in the children of an `IMethod` or an `IInitializer`.

In particular such a pseudo-element should not be used as a handle. For example its name range won't be updated if the underlying source changes.

This interface is not intended to be implemented by clients.

Since:
  3.0

Field Summary

Fields inherited from interface org.eclipse.jdt.core.IJavaElement
`CLASS_FILE, COMPILATION_UNIT, FIELD, IMPORT_CONTAINER, IMPORT_DECLARATION, INITIALIZER, JAVA_MODEL, JAVA_PROJECT, LOCAL_VARIABLE, METHOD, PACKAGE_DECLARATION, PACKAGE_FRAGMENT, PACKAGE_FRAGMENT_ROOT, TYPE`

Method Summary
`String` | `getElementName()` Returns the name of this local variable.
`ISourceRange` | `getNameRange()` Returns the source range of this local variable's name.
`String` | `getTypeSignature()` Returns the type signature of this local variable.

Methods inherited from interface org.eclipse.jdt.core.IJavaElement
`exists, getAncestor, getCorrespondingResource, getElementType, getHandleIdentifier, getJavaModel, getJavaProject, getOpenable, getParent, getPath, getPrimaryElement, getResource, getSchedulingRule, getUnderlyingResource, isReadOnly, isStructureKnown`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.jdt.core.ISourceReference
`exists, getSource, getSourceRange`

Method Detail

### getElementName

    public String getElementName()

  Returns the name of this local variable.

  Specified by:
    `getElementName` in interface `IJavaElement`
  Returns:
    the name of this local variable.

### getNameRange

    public ISourceRange getNameRange()

  Returns the source range of this local variable's name.

  Returns:
    the source range of this local variable's name

### getTypeSignature

    public String getTypeSignature()

  Returns the type signature of this local variable.

  The type signature may be either unresolved (for source types) or resolved (for binary types), and either basic (for basic types) or rich (for parameterized types). See `Signature` for details.

  Returns:
    the type signature of this local variable.
  See Also:
    `Signature`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.